VerticalDirection (JavaFX 17)

Module javafx.graphics
Package javafx.geometry

## Enum VerticalDirection

- java.lang.Object
- - java.lang.Enum<VerticalDirection>
  - - javafx.geometry.VerticalDirection

- All Implemented Interfaces:
    `Serializable`, `Comparable<VerticalDirection>`

      public enum VerticalDirection
      extends Enum<VerticalDirection>

  Enumeration representing a vertical direction.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOWN` | The down direction
    `UP` | The up direction

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VerticalDirection` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VerticalDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final VerticalDirection UP

      The up direction

    - #### DOWN

          public static final VerticalDirection DOWN

      The down direction

  - ### Method Detail

    - #### values

          public static VerticalDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VerticalDirection c : VerticalDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VerticalDirection valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null